Skip to main content
GET
/
v1
/
smart-account
/
transactions
/
list
List Transactions
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/transactions/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "refId": "<string>",
      "idempotencyKey": "<string>",
      "token": "<string>",
      "amount": 123,
      "rawAmount": 123,
      "totalAmount": 123,
      "rawTotalAmount": 123,
      "blockchain": "<string>",
      "protocol": "<string>",
      "environment": "<string>",
      "type": "<string>",
      "status": "<string>",
      "fee": 123,
      "fromAddress": "<string>",
      "triggerOrigin": "<string>",
      "smartAccountId": "<string>",
      "workspaceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "tokenAddress": "<string>",
      "decimals": 123,
      "txHash": "<string>",
      "userOpsTxHash": "<string>",
      "feeLevel": "<string>",
      "feeToken": "<string>",
      "networkFee": 123,
      "rawNetworkFee": 123,
      "bundlerFee": 123,
      "bundlerFeePercentage": "<string>",
      "platformFee": 123,
      "platformPercentage": "<string>",
      "bundlerProvider": "<string>",
      "toAddress": "<string>",
      "destinations": {},
      "estimationData": {},
      "receipt": {},
      "metadata": {},
      "transactionGroupId": "<string>",
      "smartAccountWalletId": "<string>"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Filter by account id

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

walletId
string

Filter by wallet id

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

txHash
string

Filter by transaction hash/signature

Example:

"0x1234567890123456789012345678901234567890"

blockchain
string

Filter by blockchain

Example:

"ethereum"

txType
string

Filter by transaction type (incoming_txn, outgoing_txn)

Example:

"incoming_txn"

status
string

Filter by status (pending, success, failed)

Example:

"pending"

token
string

Filter by token symbol (e.g., ETH, USDC)

Example:

"USDT"

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required